Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734324 (CVE-2020-15659, MFSA-2020-30, MFSA-2020-31) - <www-client/firefox{,-bin}-68.11.0: Multiple vulnerabilities (MFSA-2020-30, MFSA-2020-31)
Summary: <www-client/firefox{,-bin}-68.11.0: Multiple vulnerabilities (MFSA-2020-30, M...
Status: RESOLVED FIXED
Alias: CVE-2020-15659, MFSA-2020-30, MFSA-2020-31
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A2 [glsa+ cve]
Keywords:
Depends on:
Blocks: CVE-2020-15652, CVE-2020-6463 CVE-2020-6514
  Show dependency tree
 
Reported: 2020-07-28 20:26 UTC by Sam James
Modified: 2020-07-31 17:25 UTC (History)
1 user (show)

See Also:
Package list:
www-client/firefox-68.11.0
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James gentoo-dev Security 2020-07-28 20:26:16 UTC
* CVE-2020-15652

Description:
"By observing the stack trace for JavaScript errors in web workers, it was possible to leak the result of a cross-origin redirect. This applied only to content that can be parsed as script."

* CVE-2020-6514

Description:
"WebRTC used the memory address of a class instance as a connection identifier. Unfortunately, this value is often transmitted to the peer, which allows bypassing ASLR."

* CVE-2020-6463

Description:
"Crafted media files could lead to a race in texture caches, resulting in a use-after-free, memory corruption, and a potentially exploitable crash."

* CVE-2020-15659

Description:
"Mozilla developers Jason Kratzer and Luke Wagner reported memory safety bugs present in Firefox 78 and Firefox ESR 68.01. Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code."

FF (79): https://www.mozilla.org/en-US/security/advisories/mfsa2020-30/
FF ESR (68.1): https://www.mozilla.org/en-US/security/advisories/mfsa2020-31/

[Had to drop alias for CVE-2020-6514, tracker shortly...]
Comment 1 Sam James gentoo-dev Security 2020-07-30 03:20:04 UTC
amd64, x86 stable
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2020-07-30 03:22:29 UTC
This issue was resolved and addressed in
 GLSA 202007-60 at https://security.gentoo.org/glsa/202007-60
by GLSA coordinator Sam James (sam_c).
Comment 3 Sam James gentoo-dev Security 2020-07-30 03:23:06 UTC
Reopening for arm64.
Comment 4 Sam James gentoo-dev Security 2020-07-30 20:23:31 UTC
arm64 stable. Please cleanup.
Comment 5 Larry the Git Cow gentoo-dev 2020-07-31 01:30:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62d3d650435869210b4cb709d213657c3a28ee35

commit 62d3d650435869210b4cb709d213657c3a28ee35
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-07-31 01:27:58 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-07-31 01:30:19 +0000

    www-client/firefox-bin: security cleanup
    
    Bug: https://bugs.gentoo.org/734324
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox-bin/Manifest                   | 186 --------------
 www-client/firefox-bin/firefox-bin-68.10.0.ebuild | 280 --------------------
 www-client/firefox-bin/firefox-bin-78.0.2.ebuild  | 296 ----------------------
 3 files changed, 762 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=653e7bd66cacfff407443847505f16024eb3be42

commit 653e7bd66cacfff407443847505f16024eb3be42
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-07-31 01:27:28 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-07-31 01:30:18 +0000

    www-client/firefox: security cleanup
    
    Bug: https://bugs.gentoo.org/734324
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-client/firefox/Manifest               | 186 ------
 www-client/firefox/firefox-68.10.0.ebuild | 955 ------------------------------
 www-client/firefox/firefox-78.0.2.ebuild  | 933 -----------------------------
 3 files changed, 2074 deletions(-)